<script lang="ts" setup>
defineProps({
  color: {
    type: String,
    required: false,
    default: '#f0f6fc'
  }
})
</script>

<template>
  <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M8.06683 12.3667L8.00016 12.4333L7.92683 12.3667C4.76016 9.49333 2.66683 7.59333 2.66683 5.66667C2.66683 4.33333 3.66683 3.33333 5.00016 3.33333C6.02683 3.33333 7.02683 4 7.38016 4.90667H8.62016C8.9735 4 9.9735 3.33333 11.0002 3.33333C12.3335 3.33333 13.3335 4.33333 13.3335 5.66667C13.3335 7.59333 11.2402 9.49333 8.06683 12.3667ZM11.0002 2C9.84016 2 8.72683 2.54 8.00016 3.38667C7.2735 2.54 6.16016 2 5.00016 2C2.94683 2 1.3335 3.60667 1.3335 5.66667C1.3335 8.18 3.60016 10.24 7.0335 13.3533L8.00016 14.2333L8.96683 13.3533C12.4002 10.24 14.6668 8.18 14.6668 5.66667C14.6668 3.60667 13.0535 2 11.0002 2Z"
      :fill="color" />
  </svg>
</template>